Package com.microblink.blinkid.fragment.overlay.blinkid

# Class BlinkIdOverlaySettings.Builder

java.lang.Object
com.microblink.blinkid.fragment.overlay.blinkid.BlinkIdOverlaySettings.Builder

All Implemented Interfaces:
  `BlinkIdOverlaySettingsOptions<BlinkIdOverlaySettings.Builder>`

Enclosing class:
  BlinkIdOverlaySettings

public static class BlinkIdOverlaySettings.Builder extends Object implements BlinkIdOverlaySettingsOptions<BlinkIdOverlaySettings.Builder>
Builds settings to be used with `BlinkIdOverlayController`

- ## Field Summary

  ### Fields inherited from interface com.microblink.blinkid.fragment.overlay.blinkid.settings.options.BlinkIdOverlaySettingsOptions

  `DEFAULT_SHOW_TOOLTIP_TIME_INTERVAL_MS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder(RecognizerBundle recognizerBundle)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BlinkIdOverlaySettings`
  `build()`
  `BlinkIdOverlaySettings.Builder`
  `isHighResSuccessFrameCaptureEnabled(boolean isHighResEnabled)`
  `BlinkIdOverlaySettings.Builder`
  `setBackSideScanningTimeoutMs(long backSideScanningTimeoutMs)`
  `BlinkIdOverlaySettings.Builder`
  `setBeepResourceId(int beepResourceId)`
  `BlinkIdOverlaySettings.Builder`
  `setCameraSettings(OverlayCameraSettings cameraSettings)`
  `BlinkIdOverlaySettings.Builder`
  `setCurrentImageListener(CurrentImageListener currentImageListener)`
  `BlinkIdOverlaySettings.Builder`
  `setDebugImageListener(DebugImageListener debugImageListener)`
  `BlinkIdOverlaySettings.Builder`
  `setDocumentDataMatchRequired(boolean isRequired)`
  `BlinkIdOverlaySettings.Builder`
  `setLockedToPortrait(boolean lockedToPortrait)`
  `BlinkIdOverlaySettings.Builder`
  `setOcrResultDisplayMode(OcrResultDisplayMode ocrResultDisplayMode)`
  `BlinkIdOverlaySettings.Builder`
  `setScanUIEventListener(ScanUIEventListener scanningEventListener)`
  `BlinkIdOverlaySettings.Builder`
  `setShowMrzDots(boolean shouldShowMrzDots)`
  `BlinkIdOverlaySettings.Builder`
  `setShowNotSupportedDialog(boolean shouldShowNotSupportedDialog)`
  `BlinkIdOverlaySettings.Builder`
  `setShowTooltipTimeIntervalMs(long showTooltipTimeIntervalMs)`
  Sets time interval between the start of the tilt step and displaying the help tooltip.
  `BlinkIdOverlaySettings.Builder`
  `setSplashResourceId(int splashResourceId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder(@NonNull RecognizerBundle recognizerBundle)

- ## Method Details

  - ### setCameraSettings

    @NonNull public BlinkIdOverlaySettings.Builder setCameraSettings(@NonNull OverlayCameraSettings cameraSettings)
    Specified by:
      `setCameraSettings` in interface `BlinkIdOverlaySettingsOptions<BlinkIdOverlaySettings.Builder>`

  - ### setDebugImageListener

    @NonNull public BlinkIdOverlaySettings.Builder setDebugImageListener(@Nullable DebugImageListener debugImageListener)
    Specified by:
      `setDebugImageListener` in interface `BlinkIdOverlaySettingsOptions<BlinkIdOverlaySettings.Builder>`

  - ### setScanUIEventListener

    @NonNull public BlinkIdOverlaySettings.Builder setScanUIEventListener(@Nullable ScanUIEventListener scanningEventListener)
    Specified by:
      `setScanUIEventListener` in interface `BlinkIdOverlaySettingsOptions<BlinkIdOverlaySettings.Builder>`

  - ### setCurrentImageListener

    @NonNull public BlinkIdOverlaySettings.Builder setCurrentImageListener(@Nullable CurrentImageListener currentImageListener)
    Specified by:
      `setCurrentImageListener` in interface `BlinkIdOverlaySettingsOptions<BlinkIdOverlaySettings.Builder>`

  - ### isHighResSuccessFrameCaptureEnabled

    @NonNull public BlinkIdOverlaySettings.Builder isHighResSuccessFrameCaptureEnabled(boolean isHighResEnabled)
    Specified by:
      `isHighResSuccessFrameCaptureEnabled` in interface `BlinkIdOverlaySettingsOptions<BlinkIdOverlaySettings.Builder>`

  - ### setBeepResourceId

    @NonNull public BlinkIdOverlaySettings.Builder setBeepResourceId(int beepResourceId)
    Specified by:
      `setBeepResourceId` in interface `BlinkIdOverlaySettingsOptions<BlinkIdOverlaySettings.Builder>`

  - ### setSplashResourceId

    @NonNull public BlinkIdOverlaySettings.Builder setSplashResourceId(@LayoutRes int splashResourceId)
    Specified by:
      `setSplashResourceId` in interface `BlinkIdOverlaySettingsOptions<BlinkIdOverlaySettings.Builder>`

  - ### setDocumentDataMatchRequired

    @NonNull public BlinkIdOverlaySettings.Builder setDocumentDataMatchRequired(boolean isRequired)
    Specified by:
      `setDocumentDataMatchRequired` in interface `BlinkIdOverlaySettingsOptions<BlinkIdOverlaySettings.Builder>`

  - ### setOcrResultDisplayMode

    @NonNull public BlinkIdOverlaySettings.Builder setOcrResultDisplayMode(@NonNull OcrResultDisplayMode ocrResultDisplayMode)
    Specified by:
      `setOcrResultDisplayMode` in interface `BlinkIdOverlaySettingsOptions<BlinkIdOverlaySettings.Builder>`

  - ### setShowMrzDots

    @NonNull public BlinkIdOverlaySettings.Builder setShowMrzDots(boolean shouldShowMrzDots)
    Specified by:
      `setShowMrzDots` in interface `BlinkIdOverlaySettingsOptions<BlinkIdOverlaySettings.Builder>`

  - ### setLockedToPortrait

    @NonNull public BlinkIdOverlaySettings.Builder setLockedToPortrait(boolean lockedToPortrait)
    Specified by:
      `setLockedToPortrait` in interface `BlinkIdOverlaySettingsOptions<BlinkIdOverlaySettings.Builder>`

  - ### setShowNotSupportedDialog

    @NonNull public BlinkIdOverlaySettings.Builder setShowNotSupportedDialog(boolean shouldShowNotSupportedDialog)
    Specified by:
      `setShowNotSupportedDialog` in interface `BlinkIdOverlaySettingsOptions<BlinkIdOverlaySettings.Builder>`

  - ### setBackSideScanningTimeoutMs

    @NonNull public BlinkIdOverlaySettings.Builder setBackSideScanningTimeoutMs(long backSideScanningTimeoutMs)
    Specified by:
      `setBackSideScanningTimeoutMs` in interface `BlinkIdOverlaySettingsOptions<BlinkIdOverlaySettings.Builder>`

  - ### setShowTooltipTimeIntervalMs

    @NonNull public BlinkIdOverlaySettings.Builder setShowTooltipTimeIntervalMs(long showTooltipTimeIntervalMs)
    Description copied from interface: `BlinkIdOverlaySettingsOptions`
    Sets time interval between the start of the tilt step and displaying the help tooltip. Help tooltip is displayed only once. By default, this is set to `BlinkIdOverlaySettingsOptions.DEFAULT_SHOW_TOOLTIP_TIME_INTERVAL_MS`.
    Specified by:
      `setShowTooltipTimeIntervalMs` in interface `BlinkIdOverlaySettingsOptions<BlinkIdOverlaySettings.Builder>`
    Parameters:
      `showTooltipTimeIntervalMs` - time interval between the start of the tilt step and displaying the help tooltip.
    Returns:
      this options object.

  - ### build

    @NonNull public BlinkIdOverlaySettings build()